
;;;======================================================
;;;   Jess Robot
;;;
;;;     Event Template Definitions
;;;     (automatically loaded)
;;;
;;;======================================================

;;; BulletHitBulletEvent is treated as unstructured fact

(deftemplate BulletHitEvent
   (slot Energy)
   (slot Name))

;;; BulletMissedEvent is treated as unstructured fact

;;; DeathEvent is treated as unstructured fact

(deftemplate HitByBulletEvent
   (slot Bearing)
   (slot BearingRadians)
   (slot Heading)
   (slot HeadingRadians)
   (slot Name)
   (slot Power)
   (slot Velocity))

(deftemplate HitRobotEvent
   (slot Bearing)
   (slot BearingRadians)
   (slot Energy)
   (slot MyFault)
   (slot Name))

(deftemplate HitWallEvent
   (slot Bearing)
   (slot BearingRadians))

(deftemplate RobotDeathEvent
   (slot Name))

(deftemplate ScannedRobotEvent
   (slot Bearing)
   (slot BearingRadians)
   (slot Energy)
   (slot Distance)
   (slot Heading)
   (slot HeadingRadians)
   (slot Name)
   (slot Velocity))

;;; SkippedTurnEvent is treated as unstructured fact

;;; WinEvent is treated as unstructured fact
