package userfunctions;

import jessrobocode.*;


/**
 * An example of how JessRobot could be extended with arbitrary Java userfunctions
 * See Jess documentation, Ch. 5. "Adding Commands to Jess"
 */

public class JessCrazyWithUserfunctions extends JessRobot {

    // Templated methods
    public String jessRobotFilename() {
        return "JessCrazyWithUserfunctions.clp";
    }

    public void initialize() {
        super.initialize();
        
        // Add userfunctions
        rete.addUserfunction(new userfunctions.Sin());
        rete.addUserfunction(new userfunctions.Cos());

    }

}
